/**************************************************
// ███╗   ███╗██╗██╗  ██╗██╗███╗   ██╗███████╗
// ████╗ ████║██║╚██╗██╔╝██║████╗  ██║██╔════╝
// ██╔████╔██║██║ ╚███╔╝ ██║██╔██╗ ██║███████╗
// ██║╚██╔╝██║██║ ██╔██╗ ██║██║╚██╗██║╚════██║
// ██║ ╚═╝ ██║██║██╔╝ ██╗██║██║ ╚████║███████║
// ╚═╝     ╚═╝╚═╝╚═╝  ╚═╝╚═╝╚═╝  ╚═══╝╚══════╝
// 1. Font-size Helper
**************************************************/
@mixin font( $fontsize, $lineheight:$fontsize ) {
	font-size: #{$fontsize}px;
	font-size: #{$fontsize / 10}rem;
	@if( $lineheight != 0 ){
		line-height: #{$lineheight}px;
		line-height: #{$lineheight / 10}rem;
	}
}


@mixin section(){
	width: 100%;
	//max-width: $gridWidth;
	//margin: 0 auto;
	padding: 30px 25px;

	@include bp($tablet){

	}
}

@mixin wrap($maxwidth){
	width: 100%;
	max-width: $maxwidth;
	margin: 0 auto;
}

@mixin textXSmall(){
	@include font(10,12);
}

@mixin textSmall(){
	@include font(12,14);
}

@mixin textMedium(){
	@include font(14,18);
}

@mixin textLarge(){
	@include font(16,20);
}

@mixin textXLarge(){
	@include font(18,22);
}


@mixin textTableXSmall(){
	@include font(12,14);
}

@mixin textTableSmall(){
	@include font(13,15);
}

@mixin textTableMedium(){
	@include font(15,18);
}